Subject: Re: [PATCH] doc: warn against --committer-date-is-author-date

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 16 Oct 2025 17:12:30 +0200

On Thu, Oct 16, 2025, at 16:13, Kristoffer Haugsbakk wrote:
> Good afternoon Hannes
>
> On Sat, Oct 11, 2025, at 11:15, Johannes Sixt wrote:
>> Am 08.10.25 um 21:45 schrieb [email-masked]:
>>> From: Kristoffer Haugsbakk <[email-masked]>
>>>
>>> This option has legitimate uses but could create a commit history which
>>> violates the assumption that commits are strictly increasing in terms of
>>> commit timestamps. Warn against that in both git-am(1) and git-rebase(1).
>>
>> I think that the discussion has meanwhile converged insofar that we do
>> not think that the option has a legitimate use case. Rather, it was
>> introduced to solve one particular problem case (that is cited below),
>> but with a solution that was misguided and not well thought through.
>
> Okay if this was the cited example:
>
> https://lore.kernel.org/git/[email-masked]/
>
> Then we can clarify with two questions:
>
> 1. Is the use case itself reasonable, i.e. abusing[1] git-am(1) to
>    pseudo-import commits (modulo the committer)?
> 2. What is a better way to achieve this goal? (assuming (1) is true)
>
>    It seemed to me that you might as well use the author date.  Unless
>    setting max Unix time would be better?  Then at least you will never
>    manage to apply something on top of something with a newer commit
>    timestamp.

To clarify.  My plan for v2 was to deprecate this option for
git-rebase(1) but not for git-am(1).

>
> † 1: Since this is not what git-am(1) is designed for
>[snip]